Package org.eclipse.birt.chart.model.type

# Interface TypeFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TypeFactoryImpl`

public interface TypeFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `TypePackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TypeFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`AreaSeries`
`createAreaSeries()`
Returns a new object of class 'Area Series'.
`BarSeries`
`createBarSeries()`
Returns a new object of class 'Bar Series'.
`BubbleSeries`
`createBubbleSeries()`
Returns a new object of class 'Bubble Series'.
`DialSeries`
`createDialSeries()`
Returns a new object of class 'Dial Series'.
`DifferenceSeries`
`createDifferenceSeries()`
Returns a new object of class 'Difference Series'.
`GanttSeries`
`createGanttSeries()`
Returns a new object of class 'Gantt Series'.
`LineSeries`
`createLineSeries()`
Returns a new object of class 'Line Series'.
`PieSeries`
`createPieSeries()`
Returns a new object of class 'Pie Series'.
`ScatterSeries`
`createScatterSeries()`
Returns a new object of class 'Scatter Series'.
`StockSeries`
`createStockSeries()`
Returns a new object of class 'Stock Series'.
`TypePackage`
`getTypePackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final TypeFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createAreaSeries

AreaSeries createAreaSeries()
Returns a new object of class 'Area Series'.

Returns:
  a new object of class 'Area Series'.

### createBarSeries

BarSeries createBarSeries()
Returns a new object of class 'Bar Series'.

Returns:
  a new object of class 'Bar Series'.

### createBubbleSeries

BubbleSeries createBubbleSeries()
Returns a new object of class 'Bubble Series'.

Returns:
  a new object of class 'Bubble Series'.

### createDialSeries

DialSeries createDialSeries()
Returns a new object of class 'Dial Series'.

Returns:
  a new object of class 'Dial Series'.

### createDifferenceSeries

DifferenceSeries createDifferenceSeries()
Returns a new object of class 'Difference Series'.

Returns:
  a new object of class 'Difference Series'.

### createGanttSeries

GanttSeries createGanttSeries()
Returns a new object of class 'Gantt Series'.

Returns:
  a new object of class 'Gantt Series'.

### createLineSeries

LineSeries createLineSeries()
Returns a new object of class 'Line Series'.

Returns:
  a new object of class 'Line Series'.

### createPieSeries

PieSeries createPieSeries()
Returns a new object of class 'Pie Series'.

Returns:
  a new object of class 'Pie Series'.

### createScatterSeries

ScatterSeries createScatterSeries()
Returns a new object of class 'Scatter Series'.

Returns:
  a new object of class 'Scatter Series'.

### createStockSeries

StockSeries createStockSeries()
Returns a new object of class 'Stock Series'.

Returns:
  a new object of class 'Stock Series'.

### getTypePackage

TypePackage getTypePackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.